﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace Ads_Remover_for_Spotify
{
    public partial class Form1 : Form
    {
        private bool muting = false;
        private SkypeController skype;
        List<Advert> ads = Reader.ReadAdverts();

        public Form1()
        {
            InitializeComponent();
            skype = new SkypeController();
            dataGridView1.AutoGenerateColumns = true;
            dataGridView1.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.Fill;
            dataGridView1.DataSource = ads;                       
        }

        private void timer1_Tick(object sender, EventArgs e)
        {                        
            lbSong.Text = new SongDiscover().Title;            
            if (ads.Any(x => x.Title == lbSong.Text) || lbSong.Text.StartsWith("Spotify –"))
            {
                if (!muting)
                {
                    label1.Text = "Ad detected, muting:";
                    muting = true;
                    Thread thread = new Thread(Silence);
                    thread.Start();
                }
            }
            else if (muting)
            {
                label1.Text = "Now Playing:";
                muting = false;
                skype.Hang();
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {                       
            ads.Add(new Advert() { Title = lbSong.Text });
            Reader.WriteAdverts(ads);
            dataGridView1.DataSource = null;
            dataGridView1.DataSource = ads;
        }

        private void Silence()
        {
            Thread.Sleep(500);
            skype.Call();
        }
    }
}
