﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Ads_Remover_for_Spotify
{
    class Reader
    {
        public static List<Advert> ReadAdverts(){
            TextReader tr = new StreamReader("ads.txt");
            return tr.ReadToEnd().Split(new string[] { "\r\n" }, StringSplitOptions.RemoveEmptyEntries).Select(x => new Advert() { Title = x.Trim() }).ToList();
        }

        public static void WriteAdverts(List<Advert> ads)
        {
            TextWriter tw = new StreamWriter("ads.txt");
            ads.ForEach(x => tw.WriteLine(x.Title.Trim()));
            tw.Close();
        }
    }
}
